MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003290ardourfeaturespublic2010-06-25 03:352016-08-30 04:22
Reportercth103 
Assigned Tox42 
PrioritynormalSeverityminorReproducibilityN/A
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version3.XFixed in Version 
Summary0003290: Latency compensation for busses
Description[]
TagsNo tags attached.
Attached Files

Sponsor - Users sponsoring this issue
Sponsors List Total Sponsorship = US$ 240

2012-03-20 04:15: realhangman (US$ 50)
2012-11-12 15:32: philicorda (US$ 10)
2012-11-13 05:57: in0giro (US$ 10)
2013-02-17 12:44: spock (US$ 30)
2013-03-10 13:00: agivagan (US$ 10)
2013-03-11 03:44: Xzu (US$ 5)
2013-03-11 04:25: zth (US$ 5)
2013-12-27 02:03: vervelover (US$ 5)
2013-12-27 05:40: ahellquist (US$ 5)
2015-07-31 11:45: ma120mk11 (US$ 30)
2016-08-24 01:25: lpirl (US$ 30)
2016-08-25 16:18: mhartzel (US$ 50)

- Relationships

-  Notes
(0011926)
vervelover (reporter)
2011-11-07 06:27

This would be awesome to have, maybe the most important of all post A3 features..
(0014223)
philicorda (reporter)
2012-11-12 15:33

I agree. Lack of latency compensation makes many modern production techniques impossible.
(0014236)
in0giro (reporter)
2012-11-13 05:57

+1 for this feature.
(0014654)
spock (reporter)
2013-02-17 12:46

+1 (whenever devs get time after 3.0)
(0014706)
Xzu (reporter)
2013-03-11 03:43

+1 for this feature.

Very important and powerful.
(0014707)
zth (reporter)
2013-03-11 04:25

+1. Very wanted!
(0015512)
Leatuspenguin (reporter)
2013-12-27 10:31

+1 from me too. Would love to see this at some stage
(0016953)
jameso (reporter)
2015-07-25 12:47

Another +1 here. This is essential for me to start using ardour full time.
(0017746)
SadKo (reporter)
2015-12-28 08:17

Today while testing latency compensation port of my LV2 plugin:

WARNING: latency compensation is not possible.

Still not working?
(0017748)
SadKo (reporter)
2015-12-28 08:26

Sometimes I get:
LatComp: buffer resize in progress. latency-compensation-pending: 30 want: 40
LatComp: buffer resize in progress. latency-compensation-pending: 30 want: 50
LatComp: buffer resize in progress. latency-compensation-pending: 30 want: 60

But still it's not working.
(0017756)
x42 (administrator)
2015-12-30 02:14

There is no bus-latency compensation yet.

The messages you get are from internal aux-sends (sends have delaylines and are aligned).

There is a prototype for bus latency compensation but it's not ready and not merged in the main codebase.

Currently (Ardour 4.4) the latency compensation is only done during playback on tracks (files where Ardour can read future samples) and during recording (move recorded data to the correct position).
Neither Tracks nor busses have delaylines to align/compensate for other latent effects.
(0018486)
mhartzel (reporter)
2016-08-25 16:17

I think this would be a very important feature to add to Ardour, so I will sponsor 50 $ for implementing it. It hope this additional sponsorship pushes the feature from the "somewhere in the future" list to "will be implemented soon list" :)

- Issue History
Date Modified Username Field Change
2010-06-25 03:35 cth103 New Issue
2010-06-25 03:35 cth103 cost => 0.00
2010-06-25 03:35 cth103 Status new => acknowledged
2011-11-07 06:27 vervelover Note Added: 0011926
2012-03-20 04:15 realhangman Sponsorship Added realhangman: US$ 50
2012-03-20 04:15 realhangman Sponsorship Total 0 => 50
2012-11-12 15:32 philicorda Sponsorship Added philicorda: US$ 10
2012-11-12 15:32 philicorda Sponsorship Total 50 => 60
2012-11-12 15:33 philicorda Note Added: 0014223
2012-11-13 05:57 in0giro Note Added: 0014236
2012-11-13 05:57 in0giro Sponsorship Added in0giro: US$ 10
2012-11-13 05:57 in0giro Sponsorship Total 60 => 70
2013-02-17 12:44 spock Sponsorship Added spock: US$ 30
2013-02-17 12:44 spock Sponsorship Total 70 => 100
2013-02-17 12:46 spock Note Added: 0014654
2013-03-10 13:00 agivagan Sponsorship Added agivagan: US$ 10
2013-03-10 13:00 agivagan Sponsorship Total 100 => 110
2013-03-11 03:43 Xzu Note Added: 0014706
2013-03-11 03:44 Xzu Sponsorship Added Xzu: US$ 5
2013-03-11 03:44 Xzu Sponsorship Total 110 => 115
2013-03-11 04:25 zth Sponsorship Added zth: US$ 5
2013-03-11 04:25 zth Sponsorship Total 115 => 120
2013-03-11 04:25 zth Note Added: 0014707
2013-12-27 02:03 vervelover Sponsorship Added vervelover: US$ 5
2013-12-27 02:03 vervelover Sponsorship Total 120 => 125
2013-12-27 05:40 ahellquist Sponsorship Added ahellquist: US$ 5
2013-12-27 05:40 ahellquist Sponsorship Total 125 => 130
2013-12-27 10:31 Leatuspenguin Note Added: 0015512
2015-07-25 12:47 jameso Note Added: 0016953
2015-07-31 11:45 ma120mk11 Sponsorship Added ma120mk11: US$ 30
2015-07-31 11:45 ma120mk11 Sponsorship Total 130 => 160
2015-12-28 08:17 SadKo Note Added: 0017746
2015-12-28 08:26 SadKo Note Added: 0017748
2015-12-30 02:14 x42 Note Added: 0017756
2016-08-24 01:25 lpirl Sponsorship Added lpirl: US$ 30
2016-08-24 01:25 lpirl Sponsorship Total 160 => 190
2016-08-25 16:17 mhartzel Note Added: 0018486
2016-08-25 16:18 mhartzel Sponsorship Added mhartzel: US$ 50
2016-08-25 16:18 mhartzel Sponsorship Total 190 => 240
2016-08-25 16:23 x42 Assigned To => x42
2016-08-25 16:23 x42 Status acknowledged => assigned


Copyright © 2000 - 2016 MantisBT Team
Powered by Mantis Bugtracker